<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

//$ref = mt_rand(0, 999999999);
/////////////////////////////
$ttl="Кто где";

//////////////////////////////
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

//USER DATA
$user = mysql_fetch_assoc($q);
$level = $user['level'];
$id = $user['id'];
$status = $user['status'];
$posts = $user['posts'];
$fsize = $user['fsize'];
//END USER DATA

if($fsize == 0)
{
$open_tag = "<small>";
$close_tag = "</small>";
}
if($fsize == 1)
{
$open_tag = $close_tag = '';
}
if($fsize == 2)
{
$open_tag = "<big>";
$close_tag = "</big>";
}


//ONLINE IN CHAT
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time());
$online = mysql_result($query, 0);
//END ONLINE

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl - $online\"><p align=\"left\">\n";

echo $open_tag;
$q = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time()." AND `place` = 0;");
$inmenu = mysql_result($q, 0);
$q = mysql_query("SELECT `nickname`, `level`, `id` FROM `chat_users` WHERE `time` > ".time()." AND `place` = 0;");

echo "В прихожей (".$inmenu.")<br/>\n";
$c = 0;
while($nick = mysql_fetch_assoc($q))
{

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}

if($nick['level'] == 4)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['invisible'] == 1 and $level != 5)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}
$c++;
if($c != $inmenu)
{
echo ", ";
}
else
{
echo "<br/>\n";
}
}
//PUBLIC ROOMS
$q = mysql_query("SELECT * FROM `chat_rooms` WHERE `type` = 0 ORDER BY `position` ASC;");

$in_embassies = 0;

$sql = mysql_query("SELECT `id` FROM `chat_rooms` WHERE `type` = 2;");

while($array = mysql_fetch_assoc($sql))
{
$rid = $array['id'];

$in_embassies = $in_embassies + mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time()." AND `place` = ".$rid), 0);
}

echo "<a href=\"/embassies/wml\">В посольствах (".$in_embassies.")</a><br/>";

while($room = mysql_fetch_assoc($q))
{
$c = 0;
$rid = $room['id'];
$rname = $room['name'];
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `place` = ".$rid." AND `time` > ".time());
$inroom = mysql_result($query, 0);
	if($rid == $wicked_quiz or $rid == $unlim)
	{
	echo "<a href=\"/unlim/$rid/wml\">".$rname." (".$inroom.")</a><br/>\n";
	}
	else
	{
	echo "<a href=\"/room/$rid/wml\">".$rname." (".$inroom.")</a><br/>\n";
	}
$sql = mysql_query("SELECT `nickname`, `level`, `id`, `invisible` FROM `chat_users` WHERE `time` > ".time()." AND `place` = ".$rid);
	while($nick = mysql_fetch_assoc($sql))
	{
	if($level == 0 && $nick['invisible'] == 1) echo " ";
	else

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 4)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['invisible'] == 1 and $level != 5)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}
	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{
		echo "<br/>\n";
		}
	}
}
$sql = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `intim` >= ".time());
$intim = mysql_result($sql, 0);
echo "<a href=\"/key/wml\">Интим* ($intim)</a><br/>\n";
//i/m and wew
if($id != 1 AND $id != 6)
{}
else
{
$int = mysql_query("SELECT `nickname`, `level`, `id` FROM `chat_users` WHERE `intim` >= ".time());
	while($nick = mysql_fetch_array($int))
		{

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 4)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['invisible'] == 1 and $level != 5)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}

	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{

		}
	}
}

//END ROOMS

if(mysql_num_rows($q) == 0)
{
echo "[Пусто]<br/>\n";
}
//ROOMS FOR MODERATORS
if($level != 0)
{
$q = mysql_query("SELECT * FROM `chat_rooms` WHERE `type` = 1 ORDER BY `position` ASC;");

while($room = mysql_fetch_array($q))
{
$c = 0;
$rid = $room['id'];
$rname = $room['name'];
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `place` = ".$rid);
$inroom = mysql_result($query, 0);
	if($rid == $wicked_quiz or $rid == $unlim)
	{
	echo "<a href=\"/unlim/$rid/wml\">".$rname." (".$inroom.")</a><br/>\n";
	}
	else
	{
	echo "<a href=\"/room/$rid/wml\">".$rname." (".$inroom.")</a><br/>\n";
	}
$sql = mysql_query("SELECT `nickname`, `level`, `id` FROM `chat_users` WHERE `time` > ".time()." AND `place` = ".$rid);
	while($nick = mysql_fetch_assoc($sql))
	{

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 4)
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['invisible'] == 1 and $level != 5)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}

	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{
		echo "<br/>\n";
		}
	}
}
	if(mysql_num_rows($q) != 0)
	{
	echo "<br/>\n";
	}
}
//END ROOMS

echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";

echo $close_tag;

echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = ".$id." AND `password` = '".md5($password)."';");
	if(mysql_num_rows($q) == 0)
	{
echo $css;
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo'</div>';
echo "</body></html>";
	exit();
	}
//END AUTH

//USER DATA
$user = mysql_fetch_array($q);
$level = $user['level'];
$status = $user['status'];
$posts = $user['posts'];
$id = $user['id'];
$fsize = $user['fsize'];
//END USER DATA

if($fsize == 0)
{
$fsize = "small";
}
if($fsize == 1)
{
$fsize = "normal";
}
if($fsize == 2)
{
$fsize = "large";
}


//ONLINE IN CHAT
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time());
$online = mysql_result($query, 0);
//END ONLINE
echo "$css";
echo'<title>'.$ttl.' - '.$online.'</title>';
echo'<div class="d3">'.$ttl.' - '.$online.'</div>';
///
$q = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time()." AND `place` = 0;");
$inmenu = mysql_result($q, 0);
$q = mysql_query("SELECT `nickname` , `level`, `posts`, colornick, `id` FROM `chat_users` WHERE `time` > ".time()." AND `place` = 0;");
echo"В прихожей ($inmenu)<br/>";
$c = 0;
while($nick = mysql_fetch_array($q))
{

if($nick['colornick'])
{
$nick['nickname']="<font color=\"#".$nick['colornick']."\">".$nick['nickname']."</font>";
}

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}

if($nick['level'] == 4 )
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['id'] == 2 || $nick['id'] == 3 || $nick['id'] == 4)
{
$nick['nickname']= $nick['nickname'];
}

if($nick['invisible'] == 1)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}
$c++;
	if($c != $inmenu)
	{
	echo ", ";
	}
	else
	{
	echo "<br/>\n";
	}
}
/////////////////////////////
//PUBLIC ROOMS
$q = mysql_query("SELECT * FROM `chat_rooms` WHERE `type` = 0 ORDER BY `position`;");

$in_embassies = 0;

$sql = mysql_query("SELECT `id` FROM `chat_rooms` WHERE `type` = 2;");

while($array = mysql_fetch_assoc($sql))
{
$rid = $array['id'];

$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `time` > ".time()." AND `place` = ".$rid);
$in_embassies = $in_embassies + mysql_result($query, 0);
}

echo "<a href=\"/embassies/html\">В посольствах (".$in_embassies.")</a><br/>";

while($room = mysql_fetch_assoc($q))
{
$c = 0;
$rid = $room['id'];
$rname = $room['name'];
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `place` = ".$rid." AND `time` > ".time());
$inroom = mysql_result($query, 0);
	if($rid == $wicked_quiz or $rid == $unlim)
	{
	echo "<a href=\"/unlim/$rid/html\">".$rname." (".$inroom.")</a><br/>\n";
	}
	else
	{
	echo "<a href=\"/room/$rid/html\">".$rname." (".$inroom.")</a><br/>\n";
	}
$sql = mysql_query("SELECT `nickname`, `level` , `posts` , colornick , `id`, `invisible` FROM `chat_users` WHERE `time` > '".time()."' AND `place` = ".$rid);
	while($nick = mysql_fetch_assoc($sql))
	{
if($nick['colornick'])
{
$nick['nickname']="<font color=\"#".$nick['colornick']."\">".$nick['nickname']."</font>";
}

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}

if($nick['level'] == 4 )
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['id'] == 2 || $nick['id'] == 3 || $nick['id'] == 4)
{
$nick['nickname'] = $nick['nickname'];
}
if($nick['invisible'] == 1 and $level != 5)
{}
else
{
echo $nick['nickname'];
if($level >= 4 and $nick['invisible'] == 1 and $nick['id'] != 6 and $nick['id'] != 1) echo " (невидимый)";
}
	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{
		echo "<br/>\n";
		}
	}
}
$sql = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `intim` >= ".time());
$intim = mysql_result($sql, 0);
echo "<a href=\"/key/html\">Интим* ($intim)</a><br/>\n";
//i/m and wew
if($id != 1 AND $id != 6)
{}
else
{
$int = mysql_query("SELECT `nickname`, `level`, colornick, `id` FROM `chat_users` WHERE `intim` >= ".time());
	while($nick = mysql_fetch_array($int))
		{
if($nick['colornick'])
{
$nick['nickname']="<font color=\"#".$nick['colornick']."\">".$nick['nickname']."</font>";
}

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}

if($nick['level'] == 4 )
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['id'] == 2 || $nick['id'] == 3 || $nick['id'] == 4)
{
$nick['nickname'] = $nick['nickname'];
}


if($nick['invisible'] == 1)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}
	$c++;
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{

		}
	}
}

if(mysql_num_rows($q) == 0)
{
echo "[Пусто]<br/>\n";
}
//ROOMS FOR MODERATORS
if($level != 0)
{
$q = mysql_query("SELECT * FROM `chat_rooms` WHERE `type` = 1 ORDER BY `position` ASC;");

$count_rooms = 0;

while($room = mysql_fetch_assoc($q))
{
$c = 0;
$rid = $room['id'];
$rname = $room['name'];
$query = mysql_query("SELECT COUNT(*) FROM `chat_users` WHERE `place` = ".$rid);
$inroom = mysql_result($query, 0);
echo "<a href=\"/room/$rid/html\">".$rname." (".$inroom.")</a><br/>\n";
$sql = mysql_query("SELECT `nickname`, `level`, `posts`, colornick, `id` FROM `chat_users` WHERE `time` > ".time()." AND `place` = ".$rid);
	while($nick = mysql_fetch_assoc($sql))
	{
if($nick['colornick'])
{
$nick['nickname']="<font color=\"#".$nick['colornick']."\">".$nick['nickname']."</font>";
}

if($nick['level'] == 5 and $nick['id'] == 1)
{
$nick['nickname'] = $nick['nickname'];
}
elseif($nick['level'] == 5)
{
$nick['nickname'] = $nick['nickname']." (А)";
}

if($nick['level'] == 4 )
{
$nick['nickname'] = $nick['nickname']." (А)";
}
if($nick['level'] == 3)
{
$nick['nickname'] = $nick['nickname']." (М)";
}
if($nick['level'] == 2)
{
$nick['nickname'] = $nick['nickname']." (К)";
}
if($nick['level'] == 1)
{
$nick['nickname'] = $nick['nickname']." (V)";
}
if($nick['id'] == 2 || $nick['id'] == 3 || $nick['id'] == 4)
{
$nick['nickname'] = $nick['nickname'];
}


if($nick['invisible'] == 1)
{}
else
{
echo $nick['nickname'];
if($level >= 4 && $nick['invisible'] == 1) echo " (невидимый)";
}
		if($c != $inroom)
		{
		echo ", ";
		}
		else
		{
		echo "<br/>\n";
		}
	}
$count_rooms++;
if(mysql_num_rows($sql) != 0) echo "<br/>\n";
}

	//if($count_rooms != 0)
	//{
	//}
}
//END ROOMS


echo'<div class="d1">';
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo'</div>';
echo "</body></html>";
break;
}
?>